register = {}

function register.registerSpecializationVehicle(vehicleType, specialization, specName)
    --print("-----register specialization to vehicleType : ".. vehicleType.name)
    table.insert(vehicleType.specializationNames, specName)
    vehicleType.specializationsByName[specName] = specialization
    table.insert(vehicleType.specializations, specialization)
end

g_specializationManager.addSpecialization('autoLoadWood2', 'autoLoadWood2', 'AutoLoadWood2',  Utils.getFilename("Script/autoLoadWood.lua", g_currentModDirectory))
    
if  g_vehicleTypeManager.vehicleTypes.AutoLoadWoodTrailer2 ~= nil then
    register.registerSpecializationVehicle(g_vehicleTypeManager.vehicleTypes.AutoLoadWoodTrailer2, AutoLoadWood2, 'autoLoadWood2')
end
print("----AutoloadWood registered.")